Bug 2282521 (CVE-2024-26256)

Summary: CVE-2024-26256 libarchive: Heap based buffer overflow in rar e8 filter
Product: [Other] Security Response Reporter: Zack Miele <zmiele>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agarcial, aoconnor, aprice, asegurap, bdettelb, caswilli, dfreiber, dhalasz, dkuc, drow, fjansen, hkataria, jburrell, jmitchel, jsamir, jsherril, jtanner, kaycoth, kholdawa, kshier, ljavorsk, luizcosta, mbenatto, mpierce, nweather, oezr, orabin, psegedy, sidakwo, stcannon, sthirugn, vkrizan, vkumar, vmugicag, xiaoxwan, yguenane, zzhou
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libarchive 3.7.4 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the libarchive library. A heap-based buffer overflow in the execute_filter_e8 function in the libarchive/archive_read_support_format_rar.c file can be triggered when a specially crafted RAR archive is processed, causing a crash to the application linked to the library, and resulting in a denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2282530, 2282531, 2282527, 2282528, 2282529    
Bug Blocks: 2282522, 2290445    

Description Zack Miele 2024-05-22 13:54:34 UTC
A heap-based buffer overflow flaw was found in the rar e8 filter in libarchive. An attacker could trick a user into opening a specially crafted rar archive to induce a denial of service or arbitrary code execution in the context of the application using libarchive.

References:
https://github.com/advisories/GHSA-2jc9-36w4-pmqw
https://www.zerodayinitiative.com/blog/2024/4/17/cve-2024-20697-windows-libarchive-remote-code-execution-vulnerability

Upstream patch:
https://github.com/libarchive/libarchive/pull/2135

Comment 1 Zack Miele 2024-05-22 14:06:18 UTC
Created cmake3 tracking bugs for this issue:

Affects: epel-7 [bug 2282528]


Created libarchive tracking bugs for this issue:

Affects: fedora-39 [bug 2282529]
Affects: fedora-40 [bug 2282527]


Created mingw-libarchive tracking bugs for this issue:

Affects: fedora-39 [bug 2282530]
Affects: fedora-40 [bug 2282531]

Comment 5 Lukas Javorsky 2024-06-06 07:08:51 UTC
*** Bug 2290446 has been marked as a duplicate of this bug. ***